Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

PHP Extension iconv must be loaded…but it already is
 
jbirdink
Jr. Member
 
Total Posts:  12
Joined:  2008-04-07
 

I am trying to install Magento 1.0 on a server that is running PHP 5.2.5.

I have gotten to a page in the install configuration process that reads:

PHP Extension “iconv” must be loaded

After consulting with my web host, he says that iconv was already installed, as it is included by default with PHP 5.2.5. Here is a link to the php info:

http://mc.kimandjason.com/shop/phpinfo.php

Any thoughts on how I can hurdle this roadblock would be greatly appreciated! Thanks!

 
Magento Community Magento Community
Magento Community
Magento Community
 
Simon King
Member
 
Avatar
Total Posts:  46
Joined:  2008-01-10
 

jbirdink

Your host has opted to disable iconv support in the build of PHP you’re running:

See ‘--without-iconv’ at the end of the ‘Configure Command’

Simon

 
Magento Community Magento Community
Magento Community
Magento Community
 
jbirdink
Jr. Member
 
Total Posts:  12
Joined:  2008-04-07
 

Ah yes...good catch Simon.

My web host noticed that just after I posted this, made the adjustment, and now we’re good to go.

Thanks!

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top